package logic

import (
	"context"

	"PCM/adaptor/PCM-AI/PCM-MS/rpc/internal/svc"
	"PCM/adaptor/PCM-AI/PCM-MS/rpc/ms"

	"github.com/zeromicro/go-zero/core/logx"
)

type RegisterAckLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewRegisterAckLogic(ctx context.Context, svcCtx *svc.ServiceContext) *RegisterAckLogic {
	return &RegisterAckLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *RegisterAckLogic) RegisterAck(in *ms.ClusterRegisterAckMessageProto) (*ms.MessageResponseProto, error) {
	// todo: add your logic here and delete this line

	return &ms.MessageResponseProto{}, nil
}
