package model

import "time"

// DataSet  。
// 说明:
// 表名:data_set
// group: DataSet
// obsolete:
// appliesto:go 1.8+;
// namespace:hongmouer.his.models.DataSet
// assembly: hongmouer.his.models.go
// class:HongMouer.HIS.Models.DataSet
// version:2023-05-06 09:58
type DataSet struct {
	Id          *int       `gorm:"column:primaryKey;id" json:"Id"`         //type:*int         comment:id          version:2023-05-06 09:58
	Name        string     `gorm:"column:name" json:"Name"`                //type:string       comment:文件名称    version:2023-05-06 09:58
	Md5         string     `gorm:"column:md5" json:"Md5"`                  //type:string       comment:md5         version:2023-05-06 09:58
	Type        string     `gorm:"column:type" json:"Type"`                //type:string       comment:            version:2023-05-06 09:58
	Suffix      string     `gorm:"column:suffix" json:"Suffix"`            //type:string       comment:后缀名      version:2023-05-06 09:58
	Bucket      string     `gorm:"column:bucket" json:"Bucket"`            //type:string       comment:桶          version:2023-05-06 09:58
	Size        *int       `gorm:"column:size" json:"Size"`                //type:*int         comment:大小        version:2023-05-06 09:58
	DeletedFlag *int       `gorm:"column:deleted_flag" json:"DeletedFlag"` //type:*int         comment:是否删除    version:2023-05-06 09:58
	CreatedBy   *int       `gorm:"column:created_by" json:"CreatedBy"`     //type:*int         comment:创建人      version:2023-05-06 09:58
	CreatedTime *time.Time `gorm:"column:created_time" json:"CreatedTime"` //type:*time.Time   comment:创建时间    version:2023-05-06 09:58
	UpdatedBy   *int       `gorm:"column:updated_by" json:"UpdatedBy"`     //type:*int         comment:更新人      version:2023-05-06 09:58
	UpdatedTime *time.Time `gorm:"column:updated_time" json:"UpdatedTime"` //type:*time.Time   comment:更新时间    version:2023-05-06 09:58
}

// TableName 表名:data_set，。
// 说明:
func TableName() string {
	return "data_set"
}
