package logic

import (
	"context"

	"PCM/adaptor/PCM-AI/PCM-MS/rpc/internal/svc"
	"PCM/adaptor/PCM-AI/PCM-MS/rpc/ms"

	"github.com/zeromicro/go-zero/core/logx"
)

type RequireReRegisterLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewRequireReRegisterLogic(ctx context.Context, svcCtx *svc.ServiceContext) *RequireReRegisterLogic {
	return &RequireReRegisterLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *RequireReRegisterLogic) RequireReRegister(in *ms.ClusterReRegisterMessageProto) (*ms.MessageResponseProto, error) {
	// todo: add your logic here and delete this line

	return &ms.MessageResponseProto{}, nil
}
