package config

type OctopusConfig struct {
	Username           string
	Password           string
	HanwujiUrl         string
	SuiyuanUrl         string
	SailingsiUrl       string
	OctopusResouceSpec string
	OctopusTokenUrl    string
	CambriconMLU290    int32
	EnflameT20         int32
	OctopusCp          string
}

type OctopusApi struct {
	GetUserImageList          string
	GetMyAlgorithmList        string
	GetNotebookList           string
	GetMydatasetList          string
	CreateImage               string
	DeleteImage               string
	CreateDataSet             string
	DeleteDataSet             string
	GetAlgorithmApplyList     string
	GetAlgorithmFrameworkList string
	DeleteMyAlgorithm         string
	CreateMyAlgorithm         string
	GetAlgorithmList          string
	GetAlgorithm              string
	DownloadAlgorithm         string
	UploadAlgorithm           string
	UploadAlgorithmConfirm    string
	UploadImage               string
	UploadImageConfirm        string
	UploadDataSet             string
	UploadDataSetConfirm      string
	CreateDataSetVersion      string
	DeleteDataSetVersion      string
	GetDatasetVersionList     string
	DeleteNotebook            string
	StartNotebook             string
	StopNotebook              string
	CreateNotebook            string
	GetNotebook               string
	CreateTrainJob            string
	GetDatasetApplyList       string
	GetDatasetTypeList        string
	GetTrainJobList           string
	GetMyModelList            string
	GetModelVersionList       string
	DeleteMyModel             string
	DeleteModelVersion        string
	DownloadModelVersion      string
	GetTrainJob               string
	DeleteTrainJob            string
	StopTrainJob              string
	GetTrainJobEvent          string
	GetTrainJobMetric         string
	CreateModelDeploy         string
	GetModelDeployList        string
	GetModelDeploy            string
	GetModelDeployEvent       string
	StopModelDeploy           string
	DeleteModelDeploy         string
	InferModelDeploy          string
}
