package svc

import (
	"PCM/adaptor/PCM-AI/PCM-OCTOPUS/rpc/internal/config"
	"PCM/adaptor/PCM-CORE/rpc/pcmcoreclient"
	"github.com/zeromicro/go-zero/zrpc"
)

type ServiceContext struct {
	Config     config.Config
	PcmCoreRpc pcmcoreclient.PcmCore
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:     c,
		PcmCoreRpc: pcmcoreclient.NewPcmCore(zrpc.MustNewClient(c.PcmCoreRpcConf)),
	}
}
