package core

import (
	"net/http"

	"PCM/common/result"

	"PCM/adaptor/PCM-CORE/api/internal/logic/core"
	"PCM/adaptor/PCM-CORE/api/internal/svc"
)

func ListDomainResourceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := core.NewListDomainResourceLogic(r.Context(), svcCtx)
		resp, err := l.ListDomainResource()
		result.HttpResult(r, w, resp, err)
	}
}
