package core

import (
	"PCM/common/result"
	"net/http"

	"PCM/adaptor/PCM-CORE/api/internal/logic/core"
	"PCM/adaptor/PCM-CORE/api/internal/svc"
)

func TaskListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := core.NewTaskListLogic(r.Context(), svcCtx)
		resp, err := l.TaskList()
		result.HttpResult(r, w, resp, err)
	}
}
