package image

import (
	"PCM/common/result"
	"net/http"

	"PCM/adaptor/PCM-CORE/api/internal/logic/image"
	"PCM/adaptor/PCM-CORE/api/internal/svc"
)

func ImageListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := image.NewImageListLogic(r.Context(), svcCtx)
		resp, err := l.ImageList()
		result.HttpResult(r, w, resp, err)
	}
}
