package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ RegionSlurmModel = (*customRegionSlurmModel)(nil)

type (
	// RegionSlurmModel is an interface to be customized, add more methods here,
	// and implement the added methods in customRegionSlurmModel.
	RegionSlurmModel interface {
		regionSlurmModel
	}

	customRegionSlurmModel struct {
		*defaultRegionSlurmModel
	}
)

// NewRegionSlurmModel returns a model for the database table.
func NewRegionSlurmModel(conn sqlx.SqlConn) RegionSlurmModel {
	return &customRegionSlurmModel{
		defaultRegionSlurmModel: newRegionSlurmModel(conn),
	}
}
