package config

// ShuguangConf Shuguang 相关URL配置
type ShuguangConf struct {
	ClusterUrl string `json:"ClusterUrl"`
	TokenUrl   string `json:"TokenUrl"`
	StateUrl   string `json:"StateUrl"`
	User       string `json:"User"`
	Password   string `json:"Password"`
	OrgId      string `json:"OrgId"`
	Layout     string `json:"Layout"`
	EndPoint   string `json:"EndPoint"`
	Token      string `json:"Token"`
	ClusterID  string `json:"ClusterID"`
}

// 算力,cpu,内存 相关配置
type CPConf struct {
	AcBaseUrl          string
	AuthUrl            string
	ClusUrl            string
	CenterUrl          string
	UserLimitUrl       string
	Dcu                float32
	CpuCore            float32
	AiResourceUrl      string
	AiResourceGroupUrl string
	ParastorQuotaUrl   string
}
