package config

import (
	"github.com/zeromicro/go-zero/core/logx"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	zrpc.RpcServerConf
	KubeConfig     KubeConfig
	LogConf        logx.LogConf
	PcmCoreRpcConf zrpc.RpcClientConf
}

type KubeConfig struct {
	Server string `json:"server"`
	Token  string `json:"token"`
}
